#ifndef _MCOLA_H_
#define _MCOLA_H_

#include <iostream>
#include <cstdlib>
#include "MCadena.h"
#include "MTransporte.h"

using namespace std;
using namespace MCadena;
using namespace MTransporte;

namespace MCola
{
    typedef enum {NoErrorCola, ErrorColaVacia, ErrorColaLlena } TErrorCola;      
    
    typedef struct TNodoCola *TPuntero;
    struct TNodoCola
    {
           TCamion camion;
           TPuntero sig;
    };
    
    struct TCola
    {
           TPuntero frente;
           TPuntero final;
    };
                
    TCola CrearCola();
    bool ColaVacia(TCola c);
    bool ColaLlena(TCola c);
    void MeterCola(TCola &c, TCamion  camion, TErrorCola &e);
    void SacarCola(TCola &c, TCamion &camion, TErrorCola &e);
    void MostrarCola(TCola c);
    void DestruirCola(TCola &c);

}
#endif
